<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class PlanificacionSupervision extends Model
{
    protected $table = 'crm_planificaciones';
    //
    public function planificaciones_giras(){
        return $this->hasMany('App\PlanificacionSupervisionGira', 'id_planificacion', 'id')->with('gira');
    }
    public function apm(){
        return $this->hasOne('App\Apm', 'id', 'id_apm');
    }
    public function gerente(){
        return $this->hasOne('App\GerenteProducto', 'id', 'id_gerente');
    }
}
